Name:           photoqt
Version:        1.5.1
Release:        %mkrel 2
Summary:        A fast Qt image viewer
License:        GPLv3
Group:          Graphics/Viewers
Url:            http://photoqt.org/
Source0:        http://photoqt.org/pkgs/%{name}-%{version}.tar.gz
Patch0:         photoqt-1.3-mga-desktop_file_validation.patch
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  cmake
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  qtmultimedia5
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(libraw)
Requires:       qtbase5-database-plugin-sqlite
Requires:       graphicsmagick
Requires:       qtquickcontrols5
Requires:       qtgraphicaleffects5
Obsoletes:      photo

%description
PhotoQt is a simple, yet powerful and good looking image viewer,
written in Qt, published as open-source, and completely free.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5
%make_build

%install
%{make_install} -C build

%files
%doc CHANGELOG
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 1.5.1-2.mga6
+ Revision: 1108012
- Rebuild against new exiv2

* Mon Jan 23 2017 shlomif <shlomif> 1.5.1-1.mga6
+ Revision: 1083138
- New upstream version 1.5.1.

* Wed Dec 28 2016 neoclust <neoclust> 1.4-3.mga6
+ Revision: 1078427
- Rebuild for new libraw

* Fri May 20 2016 dglent <dglent> 1.4-2.mga6
+ Revision: 1017081
+ rebuild (emptylog)

* Thu May 19 2016 dglent <dglent> 1.4-1.mga6
+ Revision: 1016967
- Version 1.4

* Mon Jan 04 2016 shlomif <shlomif> 1.3-1.mga6
+ Revision: 919519
- New version 1.3

* Tue Dec 29 2015 tv <tv> 1.2.1-3.mga6
+ Revision: 916737
- rebuild for new libGraphicsMagick

* Fri Aug 28 2015 cjw <cjw> 1.2.1-2.mga6
+ Revision: 870400
- rebuild with gcc 5

* Mon Jun 22 2015 dglent <dglent> 1.2.1-1.mga6
+ Revision: 839057
- Version 1.2.1
- Qt5

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 741627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 687087
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.0-2.mga5
+ Revision: 589054
- rebuild for new exiv2

* Sat Nov 16 2013 dglent <dglent> 1.0-1.mga4
+ Revision: 551499
- imported package photoqt

